"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Heritable = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Represents a basic identifiable entity with components.
 *
 * See {@link HeritableEvents} for events to listen to.
 */
class Heritable extends events_1.EventEmitter {
    constructor(room, id) {
        super();
        this.id = id;
        this.room = room;
    }
    async emit(event) {
        if (this.room !== this)
            this.room.emit(event);
        return super.emit(event);
    }
}
exports.Heritable = Heritable;
//# sourceMappingURL=Heritable.js.map